Kirjoittaja Aihe: Pythonin asennus  (Luettu 1220 kertaa)

jmu

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Pythonin asennus
« : 24.04.19 - klo:14.55 »
Asensin Python 3.7   Ubuntu 16.04:seen.     Python-koodissani on alussa rivi

Koodia: [Valitse]
import queue
mutta ajettaessa silti saan virheilmoituksen

Koodia: [Valitse]
ImportError: No module named queue
Eikö Python3-versioissa pitäisi olla paketti queue aina?

nm

  • Käyttäjä
  • Viestejä: 12960
    • Profiili
Vs: Pythonin asennus
« Vastaus #1 : 24.04.19 - klo:15.35 »
Ajatko koodia varmasti Python 3:lla etkä Python 2.7:llä, jossa vastaava moduuli on Queue isolla Q:lla? Eli kokeile suorittaa skripti näin:

Koodia: [Valitse]
python3.7 ohjelma.py

Jos Python 3.7 on käytössä, eikä toimi edelleenkään, ehkä asennus on jotenkin puutteellinen. Mistä lähteestä ja miten asensit sen?

jmu

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Pythonin asennus
« Vastaus #2 : 24.04.19 - klo:15.59 »
Käytän Flask-sovelluskehystä ja ajan skriptin komennolla:

Koodia: [Valitse]
FLASK_APP=MunKoodi.py flask run

nm

  • Käyttäjä
  • Viestejä: 12960
    • Profiili
Vs: Pythonin asennus
« Vastaus #3 : 24.04.19 - klo:16.16 »
Käytän Flask-sovelluskehystä ja ajan skriptin komennolla:

Koodia: [Valitse]
FLASK_APP=MunKoodi.py flask run

Kokeile ajaa flask shell, jotta näet, mikä Python-versio on käytössä:

Koodia: [Valitse]
FLASK_APP=MunKoodi.py flask shell

jmu

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Pythonin asennus
« Vastaus #4 : 24.04.19 - klo:16.28 »
Shell-parametri antaa virheilmoituksen, jossa viitataan johonkin Pythonin 2.7 -kirjastoon. 

Komento
Koodia: [Valitse]
python3.7 --version
antaa tulokseksi  "Python 3.7.3".

Koodiani ajatellen helpompi olisi jos saisi päivitettyä uudempaan versioon...

nm

  • Käyttäjä
  • Viestejä: 12960
    • Profiili
Vs: Pythonin asennus
« Vastaus #5 : 24.04.19 - klo:21.07 »
Shell-parametri antaa virheilmoituksen, jossa viitataan johonkin Pythonin 2.7 -kirjastoon.

Eli ilmeisesti sinulla on nyt Python 2.7:n pipillä asennettu Flask käytössä? Poista se ja asenna pip3:lla uudelleen.

Koodia: [Valitse]
sudo pip uninstall flask
Koodia: [Valitse]
sudo pip3 install flask
(Tuossakin saattaa tosin käydä niin, että Flask asentuu Ubuntun Python 3.5:een eikä 3.7:ään. Helpoimmalla pääset käyttämällä jakelun alkuperäistä python3-versiota, jos et välttämättä tarvitse 3.7:n ominaisuuksia.)

jmu

  • Käyttäjä
  • Viestejä: 73
    • Profiili
Vs: Pythonin asennus
« Vastaus #6 : 24.04.19 - klo:21.55 »
Toimii, kiitos!